clan::FileSystemProvider Class Reference - ClanLib SDK
Description: clan::FileSystemProvider Class Reference

Public Member Functions | List of all members
clan::FileSystemProvider Class Referenceabstract
clanCore I/O Data

Virtual File System (VFS) file source. More...

`#include <file_system_provider.h>`

## Public Member Functions
virtual | ~FileSystemProvider ()
virtual std::string | get_identifier () const =0
| Get the identifier of this file source.
virtual std::string | get_path () const =0
| Return the path of this file source.
virtual bool | initialize_directory_listing (const std::string &path)=0
| Initiate directory listing.
virtual bool | next_file (DirectoryListingEntry &entry)=0
| Update directory listing item.
virtual IODevice | open_file (const std::string &filename, File::OpenMode mode=File::open_existing, unsigned int access=File::access_read|File::access_write, unsigned int share=File::share_all, unsigned int flags=0)=0
| Open file from this source.

## Detailed Description

Virtual File System (VFS) file source.

## Constructor & Destructor Documentation

## ◆ ~FileSystemProvider()

virtual clan::FileSystemProvider::~FileSystemProvider | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ get_identifier()

virtual std::string clan::FileSystemProvider::get_identifier | ( |  | ) | const
| pure virtual

Get the identifier of this file source.

The exact format of this identifier depends on the implementation of the underlying filesystem and mounts

Returns
  the identifier

## ◆ get_path()

virtual std::string clan::FileSystemProvider::get_path | ( |  | ) | const
| pure virtual

Return the path of this file source.

## ◆ initialize_directory_listing()

virtual bool clan::FileSystemProvider::initialize_directory_listing | ( | const std::string & | path | ) |
| pure virtual

Initiate directory listing.

## ◆ next_file()

virtual bool clan::FileSystemProvider::next_file | ( | DirectoryListingEntry & | entry | ) |
| pure virtual

Update directory listing item.

## ◆ open_file()

virtual IODevice clan::FileSystemProvider::open_file | ( | const std::string & | filename,
|  | File::OpenMode | mode = File::open_existing,
|  | unsigned int | access = File::access_read|File::access_write,
|  | unsigned int | share = File::share_all,
|  | unsigned int | flags = 0 )
| pure virtual

Open file from this source.

param: filename = The filename to use param: mode = File::OpenMode modes param: access = File::AccessFlags flags param: share = File::ShareFlags flags param: flags = File::Flags flags

Returns
  The IODevice

References clan::File::access_read, clan::File::access_write, clan::File::open_existing, and clan::File::share_all.

The documentation for this class was generated from the following file:

- file_system_provider.h